#||

VHDL Object Model 1.0 - load-vom.re 
-----------------------------------

Copyright (c) 1993 Ohio Board of Regents and the University of
Cincinnati.  All rights reserved.

Authors: David Benz, Phillip Baraona
E-Mail: dbenz@thor.ece.uc.edu, pbaraona@thor.ece.uc.edu

||#

  
!! in-package("VOM-1-0")
!! in-grammar('user)

var INPUT-SEQ: seq(vhdl-design-file) = []

"Read and parse from file <filename>"
function parse-from-file(filename : string): seq(vhdl-design-file) =
  format(true, "~2%Parsing file: ~A~%", filename);
      let (user-gram = find-object('re::grammar, 'vhdl-93)) 
      parse-file(filename, false, user-gram, user-gram, 
			      find-package("ru"))


"Run the VHDL Object Model parser on a given test file."
function vom-parse-description(filename : string) =

   %% Reset the line number
   *LINE-NUMBER* <- 1;

   format(true, "~2%Parsing ...~%");
   input-seq <- parse-from-file(filename);

%% The ~\pp\ format directive pretty prints a node.  
   format(true, "~2%Parsed from file:~%~\\pp\\~%",
		       input-seq)











